Get User Request Count Timeframe
curl --request GET \
--url https://api.entityml.com/api/v1/user/{user_id}/requests/count/timeframeimport requests
url = "https://api.entityml.com/api/v1/user/{user_id}/requests/count/timeframe"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.entityml.com/api/v1/user/{user_id}/requests/count/timeframe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requests_per_timestamp": [
{}
]
}Analytics
Get User Request Count Timeframe
Return hourly API request counts for a user over a timestamp window.
GET
/
api
/
v1
/
user
/
{user_id}
/
requests
/
count
/
timeframe
Get User Request Count Timeframe
Request
string
required
User ID to inspect.
integer
required
Inclusive start timestamp in Unix milliseconds.
integer
required
Inclusive end timestamp in Unix milliseconds.
Response
array
Hourly buckets with
timestamp and count.Example
from entityml import EntityMLClient
client = EntityMLClient()
counts = client.analytics.get_user_request_count_timeframe(
user_id="YOUR_USER_ID",
start_time=1775000000000,
end_time=1775086400000,
)
print(counts["total_requests"])
entityml analytics user-request-count-timeframe \
--user-id YOUR_USER_ID \
--start-time 1775000000000 \
--end-time 1775086400000
curl "https://api.entityml.com/api/v1/user/YOUR_USER_ID/requests/count/timeframe?start_time=1775000000000&end_time=1775086400000"
Example response
{
"user_id": "YOUR_USER_ID",
"start_time": 1775000000000,
"end_time": 1775086400000,
"requests_per_timestamp": [
{ "timestamp": "2026-04-01T12:00:00+00:00", "count": 42 }
],
"total_requests": 42,
"skipped_rows": 0
}
⌘I